#
# Structure de la table `quiz`
#

DROP TABLE IF EXISTS quiz;
CREATE TABLE quiz (
  id int(8) NOT NULL auto_increment,
  question text NOT NULL,
  reponse text NOT NULL,
  propo1 text NOT NULL,
  propo2 text NOT NULL,
  propo3 text NOT NULL,
  propo4 text NOT NULL,
  propo5 text NOT NULL,
  propo6 text NOT NULL,
  categorie varchar(255) NOT NULL default '',
  comment text NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY id_2 (id),
  KEY id (id)
) ENGINE=MyISAM;

#
# Contenu de la table `quiz`
#

INSERT INTO quiz (id, question, reponse, propo1, propo2, propo3, propo4, propo5, propo6, categorie, comment) VALUES (1, 'Quelle tait la couleur du cheval blanc d\'Henri IV ?', 'Je crois qu\'il tait blanc voir peut-tre un peu mouchet. Il courait souvent dans la gadoue.', 'Je crois qu\'il tait bleu. On l\'appelait mme le Schtroumpfval d\'Henri IV', 'Je crois qu\'il tait blanc voir peut-tre un peu mouchet. Il courait souvent dans la gadoue.', 'Je crois qu\'il tait vert, et s\'appelait Pdro, et tait en fait un ne (Pdro l\'ne vert)', '', '', '', '1', 'Bien sr qu\'il tait blanc. On peut mme commenter les rponses, c\'est top ce quiz !'),
(2, 'Combien y-a-t\'il de pages vues sur le portail NPDS depuis 2001 ?', 'Un truc aussi balaise ? Au moins 5 millions !', 'Oh, il doit bien y en avoir 100, et encore, l\'admin a oubli d\'enlever ses clics !', 'En deux ans, ils ont bien eu 3000 visites quand-mme !', 'Un truc aussi balaise ? Au moins 5 millions !', '', '', '', '1', 'Et oui, mme 5400000 pages vues au 2 janvier 2004 !'),
(3, 'On ne doit pas vendre la peau de l\'ours...', '...avant d\'avoir tu la bte', '...non, on ne doit pas la vendre !', '...avant d\'avoir tu la bte', '', '', '', '', '1', 'En mme temps, c\'est pas trs sympa de vendre la peau des ours.');
# --------------------------------------------------------

#
# Structure de la table `quiz_categorie`
#

DROP TABLE IF EXISTS quiz_categorie;
CREATE TABLE quiz_categorie (
  id int(3) NOT NULL auto_increment,
  categorie varchar(255) NOT NULL default '',
  admin varchar(255) NOT NULL default '',
  tranche int(5) NOT NULL default '0',
  comment1 text NOT NULL,
  comment2 text NOT NULL,
  type int(1) NOT NULL default '0',
  retenir text NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) ENGINE=MyISAM;

#
# Contenu de la table `quiz_categorie`
#

INSERT INTO quiz_categorie (id, categorie, admin, tranche, comment1, comment2, type, retenir) VALUES (1, 'Quiz de test pour NPDS', 'Arnaud_Latourrette', 2, 'Vous n\'avez pas assez bien rpondu alors je vous affiche le commentaire qui vous suggre de mieux travailler !!!', 'Vous avez rpondu  au moins 2 questions, c\'est plutt pas mal, bravo !', 1, 'L on peut expliquer un peu tout ce qu\'on veut  l\'utilisateur');
# --------------------------------------------------------

#
# Structure de la table `quiz_visiteur`
#

DROP TABLE IF EXISTS quiz_visiteur;
CREATE TABLE quiz_visiteur (
  numero int(11) NOT NULL auto_increment,
  nomvisiteur varchar(50) default NULL,
  mailvisiteur varchar(80) default NULL,
  reponsesjustes int(4) default NULL,
  nbquestion int(4) default NULL,
  date date NOT NULL default '0000-00-00',
  heure time NOT NULL default '00:00:00',
  dateheure datetime NOT NULL default '0000-00-00 00:00:00',
  categorie varchar(20) NOT NULL default '',
  PRIMARY KEY  (numero),
  UNIQUE KEY numero (numero)
) ENGINE=MyISAM;
