<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/* Original Copyright (c) [ ANNEE ] Par [ NOM DU DEVELOPPEUR ]          */
/* Module   : [ NOM DU MODULE ]                                         */
/* Auteur   : [ NOM DU DEVELOPPEUR ]                                    */
/* Mail     : [ MAIL DU DEVELOPPEUR ]                                   */
/* Site     : [ SITE DU DEVELOPPEUR ]                                   */
/************************************************************************/
/* MODULE DEVELOPPE POUR NPDS VERSION [ VERSION DU CORE NPDS ]          */
/************************************************************************/
/* [ ACTION ( Correction, MaJ, ...) ] Par [ NOM ] le [ ANNEE ]          */
/************************************************************************/
/* This NPDS modules is free software. You can redistribute it          */
/* and/or modify it under the terms of the GNU General Public License   */
/* as published by the Free Software Foundation; either version 2 of    */
/* the License.                                                         */
/************************************************************************/

##########################################################################
##
## CARTOUCHE FONCTIONNEL NPDS 

if (!stristr($_SERVER['PHP_SELF'],"modules.php")) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}

global $language, $NPDS_Prefix;

if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}

if (file_exists("modules/$ModPath/admin/pages.php")) {
   include ("modules/$ModPath/admin/pages.php");
}

include_once ("modules/$ModPath/lang/$language.php");
include ("modules/$ModPath/exemple.conf.php");
include ("modules/$ModPath/exemple.func.php");
include_once('cache.class.php');
include ("modules/$ModPath/cache.timings.php");

include ("header.php");

$ThisFile = "modules.php?ModPath=$ModPath&amp;ModStart=$ModStart";
$ThisRedo = "modules.php?ModPath=$ModPath&ModStart=$ModStart";

## CARTOUCHE FONCTIONNEL NPDS
##
##########################################################################

if ($op=="majscore") {
   settype($bonnerep, "integer");
   settype($categ, "integer");
   $date=date("Y-m-j");
   $heure=date("H:i:s");
   $dateheure=date("Y-m-j H:i:s" );
   sql_query("UPDATE ".$NPDS_Prefix."quiz_visiteur SET reponsesjustes='$bonnerep', date='$date', heure='$heure', dateheure='$dateheure' WHERE nomvisiteur='$cookie[1]' AND categorie='$categ'");
   redirect_url("index.php");
} else {
   settype($categ, "integer");
   if (($categ) and (is_array($id))) {
      $result = sql_query("SELECT id, categorie, tranche, comment1, comment2, type, retenir FROM ".$NPDS_Prefix."quiz_categorie WHERE id='$categ'");
      list($idquiz, $categorie, $tranche, $comment1, $comment2, $type, $retenir) = mysql_fetch_row($result);

      echo "<h2 align=\"center\">".quiz_translate("Answers of the Quizz")."</b> : $categorie</h2><br />";

      $bonnerep=0;
      for ($i = 1; $i <= $nbquest; $i++) {
         $result = sql_query("SELECT question, reponse, comment FROM ".$NPDS_Prefix."quiz WHERE id='$id[$i]'");
         list($question, $reponse, $comment) = sql_fetch_row($result);
         $question = stripslashes($question);
         $reponse = stripslashes($reponse);
         $comment = stripslashes($comment);
  
         echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
				<td class=\"header\" align=\"center\"><strong>$question</strong></td>
			</tr>
         </table>";

         $rowcolor=tablos();
         echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\">
         <tr $rowcolor>
         <td width=\"25%\">".quiz_translate("You answered")."</td>
         <td width=\"75%\">".StripSlashes($var[$i])."</td>
         </tr>";
         $rowcolor=tablos();
         if ($reponse == StripSlashes($var[$i])) {
            echo "<tr $rowcolor>
            <td>&nbsp;</td><td><span class=\"noir\">".quiz_translate("This was the good answer, you score a point")."</span></td></tr>";
            $bonnerep++;
         } else {
            echo "<tr $rowcolor>
            <td width=\"25%\"><span class=\"rouge\">".quiz_translate("The good answer was")."</span></td>
            <td width=\"75%\">$reponse</td>
            </tr>";
         }
         if ($comment) {
            echo "<tr><td colspan=\"2\">".quiz_translate("Note")." : <i>".$comment."</i></td></tr>";
         }
         echo "<tr><td colspan=\"2\"><br /><br /></td></tr>";
      }
      echo "</table><hr noshade=\"noshade\" class=\"ongl\">";

      echo "<p>".quiz_translate("You obtained")." <b>$bonnerep</b> ".quiz_translate("good answers out of")." <b>$nbquest</b> ".quiz_translate("questions.")."</p>";

      if ($tranche!=0) {
         if ($bonnerep < $tranche) {
            echo "<b>".quiz_translate("Our recommandations")."</b> : $comment1 <br /><br />";
         } elseif ($bonnerep >= $tranche) {
            echo "<b>".quiz_translate("Our recommandations")."</b> : $comment2 <br /><br />";
         }
      }

      echo "<p align=\"center\"><a href=\"javascript:history.back()\" class=\"noir\">".quiz_translate("Get back to previous screen")."</a>";
      if ($retenir!="") {
         $PopUp=JavaPopUp("modules.php?ModPath=$ModPath&amp;ModStart=retenir&amp;op=retenir&amp;quizid=$idquiz","Quiz","300","250");
         echo "&nbsp;&nbsp;-::-&nbsp;&nbsp;<a href=\"javascript:void(0);\" onclick=\"window.open($PopUp);\" class=\"noir\">".quiz_translate("Consult the focus points")."</a>";
      }
      echo "</p>";
      // on enregistre les scores dans la base de donnes
      if (isset($user)) {
         $result3 = sql_query("SELECT reponsesjustes, nbquestion, dateheure FROM ".$NPDS_Prefix."quiz_visiteur WHERE nomvisiteur='$cookie[1]' AND categorie='$categ'");
         if (sql_num_rows($result3) > 0) {
            list($rep, $quest, $dthr) = sql_fetch_row($result3);
            echo "<br /><hr noshade=\"noshade\" class=\"ongl\">".quiz_translate("You already answered this quizz the")."&nbsp;".formatTimestamp($dthr)."&nbsp;".quiz_translate(", and your score was")."&nbsp;<b>$rep/$quest</b>.<br /><br />";
            echo quiz_translate("Do you want to update your former score with this new one?")."&nbsp;<a href=\"modules.php?ModPath=$ModPath&amp;ModStart=quiz_valid&amp;op=majscore&amp;categ=$categ&amp;bonnerep=$bonnerep\">".translate("Yes")."</a>";
         } else {
            $date=date("Y-m-j");
            $heure=date("H:i:s");
            $dateheure=date("Y-m-j H:i:s" );
            $result4 = sql_query("INSERT INTO ".$NPDS_Prefix."quiz_visiteur VALUES ('', '$cookie[1]', '', '$bonnerep', '$nbquest', '$date', '$heure', '$dateheure', '$categ')");
            echo "<br /><hr noshade=\"noshade\" class=\"ongl\">".quiz_translate("Your score has been registered.");
         }
      }
      closetable();
      include ("footer.php");
   } else {
      redirect_url("index.php");
   }
}
?>